port: 7890
socks-port: 7891
allow-lan: true
mode: Rule
log-level: info
external-controller: :9090
proxies:
  - {name: 1.--长期更新节点@mftizi+4, server: 38.121.43.248, port: 8882, type: ss, cipher: aes-256-gcm, password: kDWvXYZoTBcGkC4}
  - {name: 2.--_US_美国_1+3, server: 38.110.1.51, port: 8090, type: ss, cipher: aes-256-gcm, password: PCnnH6SQSnfoS27}
  - {name: 3.--_US_美国_6, server: 38.110.1.111, port: 8000, type: ss, cipher: aes-256-gcm, password: KixLvKzwjekG00rm}
  - {name: 4.--_US_美国_4+1, server: series-a2.samanehha.co, port: 443, type: ss, cipher: chacha20-ietf-poly1305, password: mps3FwmDjLrWaOVg}
  - {name: 5.--长期更新节点@mftizi+1, server: 51.77.53.200, port: 8888, type: ss, cipher: aes-256-gcm, password: Y6R9pAtvxxzmGC}
  - {name: 6.--_RU_俄罗斯联邦_3, server: 185.236.233.111, port: 2053, type: trojan, password: ba74833c-8c0f-4dcd-8cbc-13e3c32d3765, sni: ftp.debian.org, skip-cert-verify: true}
  - {name: 7.--ID(@Outline_Vpn) 346, server: 104.21.4.6, port: 443, type: vmess, uuid: 1052f24e-7b09-45eb-b0c5-d858eb124192, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /linkws, headers: {Host: glweidf.cfd}}}
  - {name: 8.--@Hope_Net-join-us-on-Telegram+5, server: 154.47.21.54, port: 8099, type: vmess, uuid: fa1897db-1925-4c86-a495-939a959af900, alterId: 0, cipher: auto, tls: false}
  - {name: 9.--@Hope_Net+1, server: 23.157.40.53, port: 8118, type: ss, cipher: aes-256-gcm, password: cdBIDV42DCwnfIN}
  - {name: 10.--@LOCKEY_VPN | رایتل - ایرانسل+1, server: series-a1.samanehha.co, port: 443, type: ss, cipher: chacha20-ietf-poly1305, password: W74XFALLLuw6m5IA}
  - {name: 11.--HELIX FREE SERVER 4, server: www.teletrans.ro, port: 443, type: vmess, uuid: 05641cf5-58d2-4ba4-a9f1-b3cda0b1fb1d, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /linkws/obdii.cfd, headers: {Host: nezuko.raidenshogun.cloudns.org}}}
  - {name: 12.--@Hope_Net-join-us-on-Telegram+6, server: 172.67.161.77, port: 443, type: vmess, uuid: edbb1059-1633-4271-b66e-ed4fba47a1bf, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /linkws, headers: {Host: linde06.indiavideo.sbs}}}
  - {name: 13.--ID(@Outline_Vpn) 306, server: 104.21.83.108, port: 443, type: vmess, uuid: 6c168fcc-2231-4f3b-8c1e-f6391692df4a, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /link, headers: {Host: hms02.fxiaomi.sbs}}}
  - {name: 14.--HELIX FREE SERVER 3, server: metrix.ir, port: 443, type: vmess, uuid: 05641cf5-58d2-4ba4-a9f1-b3cda0b1fb1d, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /linkws/obdii.cfd, headers: {Host: nezuko.raidenshogun.cloudns.org}}}
  - {name: 15.--ID(@Outline_Vpn) 325, server: 172.67.175.56, port: 443, type: vmess, uuid: 05641cf5-58d2-4ba4-a9f1-b3cda0b1fb1d, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /linkws, headers: {Host: obdii.cfd}}}
  - {name: 16.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+2, server: 38.114.114.6, port: 5499, type: ss, cipher: aes-256-gcm, password: lGqs95QkFHo2NV}
  - {name: 17.--ID(@Outline_Vpn) 307, server: 104.26.0.95, port: 443, type: vmess, uuid: 05641cf5-58d2-4ba4-a9f1-b3cda0b1fb1d, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /linkws, headers: {Host: obdii.cfd}}}
  - {name: 18.--Telegram 🆔 @ROMAX_VPN | Server2+1, server: zula.ir, port: 443, type: vmess, uuid: 950db6aa-4926-4616-816e-ec0312dcb87b, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /linkws, headers: {Host: jahfkjha.cfd}}}
  - {name: 19.--ID(@Outline_Vpn) 335, server: 172.67.71.160, port: 443, type: vmess, uuid: 05641cf5-58d2-4ba4-a9f1-b3cda0b1fb1d, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /linkws, headers: {Host: obdii.cfd}}}
  - {name: 20.--کانال سرور اختصاصی با سرعت بالا تضمینی @Outlinev_2rayNG, server: 172.67.164.164, port: 443, type: vmess, uuid: a1655f51-1e20-4a92-8a11-b7ca30a7a353, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /linkws, headers: {Host: afrhms07.xfixedfloat.cfd}}}
  - {name: 21.--Telegram 🆔 @ROMAX_VPN | Server1+2, server: 185.146.173.59, port: 443, type: vmess, uuid: 05641cf5-58d2-4ba4-a9f1-b3cda0b1fb1d, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /linkws, headers: {Host: obdii.cfd}}}
  - {name: 22.--United States Vultr, server: 155.138.242.207, port: 80, type: vmess, uuid: 81f40c2c-e3e8-4e0a-cb51-33db25e20b97, alterId: 0, cipher: auto, tls: false, network: ws, ws-opts: {path: /, headers: {Host: 155.138.242.207}}}
  - {name: 23.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+1, server: 172.67.170.13, port: 443, type: vmess, uuid: 76221bfb-e92f-4e80-81c5-6fe48f50ac0b, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /linkws, headers: {Host: glweidf.sbs}}}
  - {name: 24.--Ⓜ️51@oneclickvpnkeys, server: 23.154.136.51, port: 8888, type: ss, cipher: aes-256-gcm, password: Y6R9pAtvxxzmGC}
  - {name: 25.--DR HOSIN2_kingo filter, server: 172.67.131.108, port: 443, type: vmess, uuid: 1052f24e-7b09-45eb-b0c5-d858eb124192, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /linkws, headers: {Host: glweidf.cfd}}}
  - {name: 26.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+3, server: 23.106.32.171, port: 443, type: trojan, password: F9D3CpxDl8a3ezeZNSBSAa2RcZNSBSAa2RcY8IyagD67Yn3S30ZTElRj4wFX5On3S30ZT, skip-cert-verify: true}
  - {name: 27.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+10, server: 188.114.97.3, port: 443, type: vmess, uuid: f584de15-2034-4170-a723-f48c2bae5e0f, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /linkws, headers: {Host: afrhms16v.bestxray.buzz}}}
  - {name: 28.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+7, server: hidd2.afsharidempire.uk, port: 443, type: vmess, uuid: 19c80ce9-0935-41b9-b077-277621316a87, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /liUxUGJTGoPjd07ui73LZgwx8s, headers: {Host: hidd2.afsharidempire.uk}}}
  - {name: 29.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+6, server: hidd2.sassanidempire.com, port: 443, type: vmess, uuid: 19c80ce9-0935-41b9-b077-277621316a87, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /liUxUGJTGoPjd07ui73LZgwx8s, headers: {Host: hidd2.sassanidempire.com}}}
  - {name: 30.--@customv2ray کانفیگ های بیشتر عضو شو, server: 104.16.219.108, port: 80, type: vmess, uuid: 950db6aa-4926-4616-816e-ec0312dcb87b, alterId: 0, cipher: auto, tls: false, network: ws, ws-opts: {path: /Telegram/XV2ray, headers: {Host: rubika.ir.google.com.xn--cr8haaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.xn--cr8haaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aparat.com.V2ray.com.shw2.ir.xn--cr8haaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.xn--g28h.dns-dynamic.net.}}}
  - {name: 31.--Canada GTHost, server: to.tilebani.com, port: 443, type: vmess, uuid: 03fcc618-b93d-6796-6aed-8a38c975d581, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /linkvws, headers: {Host: to.tilebani.com}}}
  - {name: 32.--@vless_vmess+2, server: 216.246.25.16, port: 16899, type: ss, cipher: aes-128-gcm, password: Yc2CtrIz8L}
  - {name: 33.--TELEGRAM-PROXY_MTM, server: series-a2.varzesh360.co, port: 443, type: ss, cipher: chacha20-ietf-poly1305, password: mps3FwmDjLrWaOVg}
  - {name: 34.--Germany Akamai, server: jahfkjha.cfd, port: 443, type: vmess, uuid: 950db6aa-4926-4616-816e-ec0312dcb87b, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /linkws, headers: {Host: jahfkjha.cfd}}}
  - {name: 35.--عضو ل, server: 104.21.15.212, port: 443, type: vmess, uuid: 76221bfb-e92f-4e80-81c5-6fe48f50ac0b, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /linkws, headers: {Host: glweidf.sbs}}}
  - {name: 36.--Ⓜ️44@oneclickvpnkeys, server: 188.114.99.183, port: 443, type: vmess, uuid: edbb1059-1633-4271-b66e-ed4fba47a1bf, alterId: 0, cipher: auto, tls: true, network: ws, ws-opts: {path: /linkws, headers: {Host: linde06.indiavideo.sbs}}}
  - {name: 37.--Japan Datacamp, server: 138.199.23.100, port: 43118, type: trojan, password: ypDt8RkT7J, skip-cert-verify: true}
  - {name: 38.--configkade👉@proxystore11+2, server: 45.158.171.129, port: 8080, type: ss, cipher: chacha20-ietf-poly1305, password: a8bt9fY0QsLS6eLnXUe0Ym}
proxy-groups:
  - name: 手动切换
    type: select
    proxies:
      - 1.--长期更新节点@mftizi+4
      - 2.--_US_美国_1+3
      - 3.--_US_美国_6
      - 4.--_US_美国_4+1
      - 5.--长期更新节点@mftizi+1
      - 6.--_RU_俄罗斯联邦_3
      - 7.--ID(@Outline_Vpn) 346
      - 8.--@Hope_Net-join-us-on-Telegram+5
      - 9.--@Hope_Net+1
      - 10.--@LOCKEY_VPN | رایتل - ایرانسل+1
      - 11.--HELIX FREE SERVER 4
      - 12.--@Hope_Net-join-us-on-Telegram+6
      - 13.--ID(@Outline_Vpn) 306
      - 14.--HELIX FREE SERVER 3
      - 15.--ID(@Outline_Vpn) 325
      - 16.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+2
      - 17.--ID(@Outline_Vpn) 307
      - 18.--Telegram 🆔 @ROMAX_VPN | Server2+1
      - 19.--ID(@Outline_Vpn) 335
      - 20.--کانال سرور اختصاصی با سرعت بالا تضمینی @Outlinev_2rayNG
      - 21.--Telegram 🆔 @ROMAX_VPN | Server1+2
      - 22.--United States Vultr
      - 23.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+1
      - 24.--Ⓜ️51@oneclickvpnkeys
      - 25.--DR HOSIN2_kingo filter
      - 26.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+3
      - 27.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+10
      - 28.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+7
      - 29.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+6
      - 30.--@customv2ray کانفیگ های بیشتر عضو شو
      - 31.--Canada GTHost
      - 32.--@vless_vmess+2
      - 33.--TELEGRAM-PROXY_MTM
      - 34.--Germany Akamai
      - 35.--عضو ل
      - 36.--Ⓜ️44@oneclickvpnkeys
      - 37.--Japan Datacamp
      - 38.--configkade👉@proxystore11+2
  - name: 自动选择
    type: url-test
    url: https://www.google.com/favicon.ico
    interval: 300
    tolerance: 50
    proxies:
      - 1.--长期更新节点@mftizi+4
      - 2.--_US_美国_1+3
      - 3.--_US_美国_6
      - 4.--_US_美国_4+1
      - 5.--长期更新节点@mftizi+1
      - 6.--_RU_俄罗斯联邦_3
      - 7.--ID(@Outline_Vpn) 346
      - 8.--@Hope_Net-join-us-on-Telegram+5
      - 9.--@Hope_Net+1
      - 10.--@LOCKEY_VPN | رایتل - ایرانسل+1
      - 11.--HELIX FREE SERVER 4
      - 12.--@Hope_Net-join-us-on-Telegram+6
      - 13.--ID(@Outline_Vpn) 306
      - 14.--HELIX FREE SERVER 3
      - 15.--ID(@Outline_Vpn) 325
      - 16.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+2
      - 17.--ID(@Outline_Vpn) 307
      - 18.--Telegram 🆔 @ROMAX_VPN | Server2+1
      - 19.--ID(@Outline_Vpn) 335
      - 20.--کانال سرور اختصاصی با سرعت بالا تضمینی @Outlinev_2rayNG
      - 21.--Telegram 🆔 @ROMAX_VPN | Server1+2
      - 22.--United States Vultr
      - 23.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+1
      - 24.--Ⓜ️51@oneclickvpnkeys
      - 25.--DR HOSIN2_kingo filter
      - 26.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+3
      - 27.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+10
      - 28.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+7
      - 29.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+6
      - 30.--@customv2ray کانفیگ های بیشتر عضو شو
      - 31.--Canada GTHost
      - 32.--@vless_vmess+2
      - 33.--TELEGRAM-PROXY_MTM
      - 34.--Germany Akamai
      - 35.--عضو ل
      - 36.--Ⓜ️44@oneclickvpnkeys
      - 37.--Japan Datacamp
      - 38.--configkade👉@proxystore11+2
  - name: 负载均衡
    type: load-balance
    strategy: consistent-hashing
    url: https://www.google.com/favicon.ico
    interval: 300
    tolerance: 50
    proxies:
      - 1.--长期更新节点@mftizi+4
      - 2.--_US_美国_1+3
      - 3.--_US_美国_6
      - 4.--_US_美国_4+1
      - 5.--长期更新节点@mftizi+1
      - 6.--_RU_俄罗斯联邦_3
      - 7.--ID(@Outline_Vpn) 346
      - 8.--@Hope_Net-join-us-on-Telegram+5
      - 9.--@Hope_Net+1
      - 10.--@LOCKEY_VPN | رایتل - ایرانسل+1
      - 11.--HELIX FREE SERVER 4
      - 12.--@Hope_Net-join-us-on-Telegram+6
      - 13.--ID(@Outline_Vpn) 306
      - 14.--HELIX FREE SERVER 3
      - 15.--ID(@Outline_Vpn) 325
      - 16.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+2
      - 17.--ID(@Outline_Vpn) 307
      - 18.--Telegram 🆔 @ROMAX_VPN | Server2+1
      - 19.--ID(@Outline_Vpn) 335
      - 20.--کانال سرور اختصاصی با سرعت بالا تضمینی @Outlinev_2rayNG
      - 21.--Telegram 🆔 @ROMAX_VPN | Server1+2
      - 22.--United States Vultr
      - 23.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+1
      - 24.--Ⓜ️51@oneclickvpnkeys
      - 25.--DR HOSIN2_kingo filter
      - 26.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+3
      - 27.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+10
      - 28.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+7
      - 29.--(@VmessProtocol)برای خرید و اتصال دائمی جوین شو🇩🇪+6
      - 30.--@customv2ray کانفیگ های بیشتر عضو شو
      - 31.--Canada GTHost
      - 32.--@vless_vmess+2
      - 33.--TELEGRAM-PROXY_MTM
      - 34.--Germany Akamai
      - 35.--عضو ل
      - 36.--Ⓜ️44@oneclickvpnkeys
      - 37.--Japan Datacamp
      - 38.--configkade👉@proxystore11+2
  - name: 中国节点
    type: select
    proxies:
      - DIRECT
  - name: 日本节点
    type: select
    proxies:
      - DIRECT
  - name: 新加坡节点
    type: select
    proxies:
      - DIRECT
  - name: 美国节点
    type: url-test
    url: https://www.google.com/favicon.ico
    interval: 300
    tolerance: 150
    proxies:
      - 2.--_US_美国_1+3
      - 3.--_US_美国_6
      - 4.--_US_美国_4+1
rules:
  - MATCH,手动切换
